PDA

Visualizza la versione completa : dopo upgrade distro problemi con VLC


Geppo Hylar
11-07-2007, 22:27
Dopo un upgrade alla mia distro, che dalla debian sarge main mi ha portato alla debian etch, mi sono sorti alcuni problemi.
Il gioco ne valso la pena perch ora funziona lo scanner, ma VLC e altri programmi non funzionano pi.
Se ad esempio da console provo a lanciare vlc ecco cosa mi esce:

loris@debian:~$ vlc
VLC media player 0.8.6a Janus
Segmentation fault
loris@debian:~$

Come posso risolvere? Ho provato a reinstallare VLC ma il risultato non cambia.
La mia sources.list la seguente:

deb http://ftp.it.debian.org/debian/ etch main contrib non-free

grazie :)

francofait
11-07-2007, 23:10
deb http://ftp.it.debian.org/debian/ etch main contrib non-free
deb http://ftp.it.debian.org/debian/ lenny main contrib non-free
deb http://ftp.it.debian.org/debian/ experimental main contrib non-free
deb http://security.debian.org/ etch/updates main contrib non-free
deb-src http://security.debian.org/ etch/updates main contrib non-free
deb http://www.debian-multimedia.org/ experimental main
deb http://www.debian-multimedia.org/ testing main
deb http://www.debian-multimedia.org/ sid main
# deb http://ftp.it.debian.org/debian/ sid main contrib non-free

Geppo Hylar
14-07-2007, 01:10
Originariamente inviato da francofait
deb http://www.debian-multimedia.org/ experimental main
deb http://www.debian-multimedia.org/ testing main
deb http://www.debian-multimedia.org/ sid main
# deb http://ftp.it.debian.org/debian/ sid main contrib non-free

Questi ultimi mi danno errore quando faccio apt-get update.
per il resto sembrano funzionare.
Ora al tentativo di installare vlc (che era gi installato, anche se non funzionante) mi installa un sacco di roba, ma poi quando lancio vlc mi da lo stesso identico errore di prima! :cry:
Ma cosa mi pu essere successo?!? :confused:
prima dell'upgrade andava!! :dh:

bereshit
15-07-2007, 02:07
franco..sei un genio..

come diavolo poteva risolvere il tuo source.list..?
hai fatto aggiornare a sid uno che magari voleva rimanere nella stable..vabb

probabilmente un errore da aggiornamento ..non avr cancellato alcuni file..o roba simile..
la soluzione secondo me : dare apt-get remove --purge

poi prendere il pacchetto vlc aprirlo e vedere dove installa i singoli file e verificare che sia tutto cancellato..

cmq verifica anche che tutte le dipendenze siano rispettate..

francofait
15-07-2007, 02:33
Originariamente inviato da bereshit
franco..sei un genio..

come diavolo poteva risolvere il tuo source.list..?
hai fatto aggiornare a sid uno che magari voleva rimanere nella stable..vabb

probabilmente un errore da aggiornamento ..non avr cancellato alcuni file..o roba simile..
la soluzione secondo me : dare apt-get remove --purge

poi prendere il pacchetto vlc aprirlo e vedere dove installa i singoli file e verificare che sia tutto cancellato..

cmq verifica anche che tutte le dipendenze siano rispettate..

la sid se apri gli occhietti e commentata . mai saputo che una repositri commentata possa essere attiva e dare problemi

Le multimedia alquanto strano che diano errore , a me risultano perfettamente funzionanti.

La mia debian funziona perfettamente upgrade settimali inclusi fin dal giorno del rilascio 4.0 stable usato per la nuova installazione e se prosegue cosi a rimuoverla non ce penso proprio .

bereshit
15-07-2007, 10:43
si scusa correggo..lo hai fatto aggiornare alla testing..il ragionamento e lo stesso..

cmq l'erore probbabilmente quello delle gpg del repository..se quello non un problema..

menphisx
15-07-2007, 12:38
Strano io ho Debian etch e VLC funziona alla grande.

Geppo Hylar
15-07-2007, 21:31
Originariamente inviato da menphisx
Strano io ho Debian etch e VLC funziona alla grande.

Scusa la confusione, ma se io installo un pacchetto della sarge in una etch ci possono essere dei problemi? Magari ho ancora qualche pacchetto della sarge installato che non mi fa funzionare tutto a dovere?

Loading